%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-todo
Version:	3.24.0.1
Release:	%mkrel 1
Summary:	Personal task manager for GNOME
Group:		Graphical desktop/GNOME
License:	GPLv3+
URL:		https://git.gnome.org/browse/gnome-todo/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	intltool
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libecal-1.2)
BuildRequires:	pkgconfig(libedataserver-1.2)
BuildRequires:	pkgconfig(libedataserverui-1.2)
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	desktop-file-utils
BuildRequires:	appstream-util

%description
GNOME To Do is a small application to manage your personal tasks. It
uses GNOME technologies, and so it has complete integration with the
GNOME desktop environment.

%package	devel
Summary:	Development files needed to write plugins for GNOME To Do
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}-%{release}

%description	devel
Development files needed to write plugins for GNOME To Do.

%prep
%autosetup -p1

%build
%configure2_5x
%make_build V=1

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Todo.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/org.gnome.Todo.appdata.xml

%files -f %{name}.lang
%license COPYING
%doc README AUTHORS NEWS
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_libdir}/girepository-1.0/Gtd-1.0.typelib
%{_datadir}/applications/org.gnome.Todo.desktop
%{_datadir}/appdata/org.gnome.Todo.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Todo.service
%{_datadir}/glib-2.0/schemas/org.gnome.todo.*.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.Todo*.*
%{_datadir}/%{name}/

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/Gtd-1.0.gir
%{_datadir}/gtk-doc/html/%{name}/


%changelog
* Mon Apr 24 2017 ovitters <ovitters> 3.24.0.1-1.mga6
+ Revision: 1097257
- new version 3.24.0.1

* Mon Apr 24 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1097215
- new version 3.24.0
- drop merged patch gnome-todo-3.22.1-fix-linking.patch
- drop merged patch 0001-appdata-Fix-last-release-s-timestamp.patch

* Mon Jan 30 2017 daviddavid <daviddavid> 3.22.1-1.mga6
+ Revision: 1084282
- new version: 3.22.1
- rename and rebase linking patch
- add patch to fix the appdata file validation

* Sat Sep 24 2016 ovitters <ovitters> 3.20.2-2.mga6
+ Revision: 1055828
- rebuild to pay tribute to new evolution-data-server

* Thu May 26 2016 daviddavid <daviddavid> 3.20.2-1.mga6
+ Revision: 1018788
- add a patch to fix a linking issue
- add a devel subpackage

  + ovitters <ovitters>
    - new version 3.20.2
    - new version 3.20.1
    - new version 3.20.0
    - fix source url

  + tv <tv>
    - use %%make_build
    - verbose build
    - update BRs
    - easy "fix" for underlinking issues...
    - BR pkgconfig(libpeas-1.0)
    - drop merged patch
    - new release

* Tue Jan 26 2016 luigiwalser <luigiwalser> 3.18.1-2.mga6
+ Revision: 927862
- rebuild for libical

* Wed Oct 14 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 891358
- add group
- from fedora with small changes

